[Lainnya] Update Status Facebook lewat Terminal!

Selamat pagi teman-teman, saya mohon maaf jika akhir-akhir ini tidak muncul. Maklum, lagi Ujian Akhir Semester gan :D Pada kesempatan kali ini saya ingin berbagi info mengenai aplikasi yang memungkinkan kita untuk menggunakan Facebook (termasuk meng-update status lewat Terminal atau Command Line). Aplikasi tersebut bernama "Fbcmd". Selain dapat meng-update status, aplikasi yang dikembangkan dengan bahasa pemrograman PHP ini juga dapat membuat album foto, mengunggah foto, menampilkan daftar teman, bahkan dapat mengunduh semua tanggal lahir semua teman kita ke dalam format tertentu! Menarik bukan, silakan menyimak dengan seksama jika ingin tahu lebih dalam.


Persiapan alat
Karena Fbcmd dibuat dengan PHP, maka kita harus menginstal PHP interpreter terlebih dahulu dengan mengetik perintah berikut di Terminal:
sudo apt-get install php5 php5-cli
Nah, pastikan PHP sudah terinstal dengan benar dan dapat dijalankan. Ketik perintah berikut untuk mengeceknya:
php -r "echo phpversion();"
Agar Fbcmd dapat berfungsi sebagaimana mestinya, setingan PHP harus mengijinkan "allow_url_fopen" pada setingan php.ini. Lihat gambar di bawah:


Sebagaimana yang bisa kalian lihat, nilai dari "allow_url_fopen" harus "On". Jika punya kalian masih "Off" harap ubah mejadi "On".

Instalasi
OK! Sekarang saatnya mengunduh Fbcmd dari situs pembuatnya di sini. Setelah diunduh, ketik serangkaian perintah berikut untuk menginstal Fbcmd di komputer:
unzip fbcmd.zip
cd fbcmd
sudo php fbcmd_update.php 
sudo php fbcmd_update.php install
Proses instalasi akan membutuhkan beberapa waktu karena Fbcmd akan secara otomatis mencari update di Internet jika ada. Jika instalasi sudah selesai, silakan coba ketik "fbcmd" di Terminal untuk mengeceknya.

Konfigurasi
Sekarang saatnya mengkonfigurasi Fbcmd agar terhubung dengan akun Facebook kalian, hal ini hanya berlangsung sekali aja kok gan.
Ketik perintah berikut:
fbcmd go access
Jendela browser akan terbuka dan kalian disuguhi dengan pertanyaan untuk memberi ijin kepada Fbcmd. Perintah di atas diperlukan untuk memberikan inisialisasi akses ke Fbcmd agar dapat meng-generete Auth Code. Nah, langkah selanjutnya adalah meng-generate "One-time code" dari Facebook dengan mengetik perintah berikut:
fbcmd go auth
Jendela browser akan terbuka lagi, sekarang kalian disuruh untuk meng-generate One-time code agar Fbcmd dapat mengakses akun Facebook kalian secara penuh. Pada web browser klik "Generate" sehingga kalian mendapatkan kode yang "unik", salin kode tersebut untuk langkah selanjutnya.

Wah, masih kuat gan? Baiklah, sekarang saatnya memasukkan kode "unik" tadi ke Fbcmd:
fbcmd auth XXXXXX
Ganti "XXXXXX" dengan kode "unik" yang kalian dapatkan tadi. Tinggal selangkah lagi gan, yaitu memberikan akses penuh kepada Fbcmd berdasarkan kode "unik" yang kalian masukkan tadi:
fbcmd addperm
Sampai pada tahap ini, kalian sudah berhasil menginstal dan mengkonfigurasi Fbcmd. Selamat!

Mencoba Fbcmd
Saya hanya akan memberikan contoh bagaimana meng-update status Facebook dengan Fbcmd:
fbcmd status "Mmm, update status lewat Command Prompt? Baiklah, kita coba dulu :p"
Perintah di atas akan meng-update status dengan tulisan "Mmm, update status lewat Command Prompt? Baiklah, kita coba dulu :p". Untuk informasi mengenai perintah lainnya berikut contohnya, silakan klik di sini.

Bagi teman-teman yang sudah jago di Linux, tentunya dapat menggunakan aplikasi ini untuk meng-update status secara periodik dengan menggunakan cron job dipadukan dengan shell script. Yah, semoga saja aplikasi ini tidak dianggap "spam" oleh Facebook :D

Oh iya, hampir lupa! Aplikasi ini juga tersedia untuk Windows lho gan, klik di sini untuk mengunduhnya :)

24 comments :

Muhammad Nuruddin mengatakan...

wkwkwk...
aya aya wae aplikasinya...
#nerddetected

Damar Riyadi mengatakan...

Biarin gan, daripada berbuat kriminal :D

lisin mengatakan...

udah di coba.....,ternyata mengasyikan !!!!!

Damar Riyadi mengatakan...

Sip, terima kasih atas feedbacknya :)

anjar saputra mengatakan...

emmm dimana gan tulisan" Generate" ko g ada y..
g muncull...

Damar Riyadi mengatakan...

Waktu perintah "fbcmd go auth"

zico yanuar mengatakan...

mantap :D

Karwono Stephanus Ananda mengatakan...

 Mantab dan asik .. :)

Chaosoffilth mengatakan...

tak jadi, saya ditunjukkan error apabila saya mengetik fbcmd go auth. mohon pertolongan

Damar Riyadi mengatakan...

Pesan errornya apa gan? Bisa kasih screenshot?

Chaosoffilth mengatakan...

 http://i.imgur.com/aYniB.png

Damar Riyadi mengatakan...

Pesan errornya tidak memberi clue (petunjuk), coba hapus semua hak akses Fbcmd di Facebook dan ulangi langkah dari awal. Jika belum bisa, silakan diskusikan di forum Fbcmd:
http://fbcmd.dtompkins.com/discussion

Erix D. Wardhana mengatakan...

Sipp, .... di coba dulu gan :D 

Dimazsetiyadi mengatakan...

ka ngga' bisa ya gan mohon pencerahane
aplikasine ngga' bisa di install padahal lewat terminal  instal'e

Damar Riyadi mengatakan...

Harap sertakan pesan error gan atau screenshot, biar gak kayak nyari jarum dalam jerami.

Willy Bibeh mengatakan...

Jika FB nya tidak login apakah masih bisa kita update statusnya via terminal ini gan?

Damar Riyadi mengatakan...

Login di browser maksudnya gan? Kayaknya bisa, soalnya Fbcmd sudah mendapatkan ijin akses ke akun 

Willy Bibeh mengatakan...

Iya maksud saya spt itu,,, jadi gk perlu repot" lagi login ke browsernya,, jadi tinggal update status langsung pada terminalnya... oke deh,, nice info gan,,, thanks for share :)

Damar Riyadi mengatakan...

Sama-sama gan, terima kasih atas feedbacknya :)

Lukman Hakim mengatakan...

alhamdulillaah 
dapat ilmu baru
lumajang eh lumayan ...

Dimazsetiyadi mengatakan...

pertama kan harus install php interpreter trus tak jalanan perintah di terminal sudo apt-get install php5 php5-cli ka dapat pesan kaya gini

angos@mazzempong:~$ sudo apt-get install php5 php5-cli
[sudo] password for angos:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
php5 is already the newest version.
php5-cli is already the newest version.
The following packages were automatically installed and are no longer required:
  wwwconfig-common libjs-mootools javascript-common
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 156 not upgraded.
mohon jawabanr

Damar Riyadi mengatakan...

"php5 is already the newest version.

php5-cli is already the newest version."Menunjukkan bahwa PHP sudah terinstal, masalahnya bukan pada tahap ini gan.

Dimazsetiyadi mengatakan...

 la terus apanya
langkah selanjutnya apa yang harus saya lakukan

Damar Riyadi mengatakan...

Harap amati dan pelajari output Terminal.
Karena tidak ada pesan error, berarti Anda bisa melanjut ke langkah selanjutnya di artikel.

Poskan Komentar